var part_library = {
	"fusebox1": {
		what: "Fuse box",
		x: 450,
		xd: 250,
		y: 150,
		yd: 50,
		material: 75,
		work: 50,
	},
	"alternator1": {
		position_base: "valve_cover",
		x: -20-25,
		xd: 25,
		y: 100,
		yd: 100,
		material: 100,
		work: 50,
	},
	"alternator2": {
	},
	"valve_timing_adjuster1": {
		position_base: "valve_cover",
		chance: 0.3,
		x: 132-100/2,
		xd: 100/2,
		y: 32+200/2,
		yd: 200/2,
		material: 100,
		work: 400,
	},
	"distributor1": {
		position_base: "valve_cover",
		x: 132-100/2,
		xd: 100/2,
		y: 32+200/2,
		yd: 200/2,
		material: 20,
		work: 40,
	},
	/*"headlight_left": {
		what: "Classic headlight (passenger's side)",
		material: 30,
		work: 20,
	},
	"headlight_right": {
		what: "Classic headlight (driver's side)",
		material: 30,
		work: 20,
	},*/
	"headlight_left2": {
		//what: "Modern headlight (passenger's side)",
		what: "Headlight (passenger's side)",
		material: 200,
		work: 60,
	},
	"headlight_right2": {
		//what: "Modern headlight (driver's side)",
		what: "Headlight (driver's side)",
		material: 200,
		work: 60,
	},
	"radiator": {
		x: 370,
		y: 470,
		yd: 30,
		material: 150,
		work: 120,
	},
	"steering_rack": {
		x: 270,
		y: 300,
		yd: 30,
		material: 160,
		work: 100,
	},
	"battery1": {
		x1: 250,
		x1d: 50,
		x2: 630,
		x2d: 50,
		y1: 150,
		y1d: 50,
		y2: 350,
		y2d: 50,
		material: 70,
		work: 15,
	},
	"integrated_power_module": {
		info: "Nobody knows why this exists",
		x: 450,
		xd: 250,
		y: 150,
		yd: 50,
		material: 1000,
		work: 50,
	},
	"windscreen_wipers": {
		x: 270,
		y: 55,
		material: 50,
		work: 30,
	},
	"shock_absorber_left": {
		what: "Shock absorber (passenger's side)",
		material: 70,
		work: 70,
	},
	"shock_absorber_right": {
		what: "Shock absorber (driver's side)",
		material: 70,
		work: 70,
	},
	"belt_tensioner": {
		position_base: "valve_cover",
		x: -25,
		xd: 25,
		y: 100,
		yd: 100,
		material: 30,
		work: 60,
	},
	"maf_sensor": {
		what: "MAF sensor",
		x: 430,
		xd: 50,
		y1: 200,
		y1d: 50,
		y2: 400,
		y2d: 50,
		material: 35,
		work: 30,
	},
	"exhaust_manifold": {
		x: 370,
		dx: 20,
		y: 270,
		yd: 30,
		chance: 0.99,
		material: 120,
		work: 150,
	},
	"fuel_rail": {
		x: 270,
		xd: 20,
		y: 200,
		yd: 30,
		material: 50,
		work: 80,
	},
	"vacuum_lines": {
		what: "small tangle of vacuum lines",
		x: 430,
		xd: 250,
		y: 250,
		yd: 200,
		max_num: 3,
		chance: 0.5,
		material: 20,
		work: 90,
	},
	"lots_of_vacuum_lines": {
		what: "large tangle of vacuum lines",
		x: 430,
		xd: 250,
		y: 280,
		yd: 200,
		max_num: 3,
		chance: 0.5,
		material: 70,
		work: 300,
	},
	"ac_compressor": {
		what: "AC compressor",
		position_base: "valve_cover",
		chance: 0.6,
		x: -20-25,
		xd: 25,
		y: 100,
		yd: 100,
		material: 250,
		work: 100,
	},
}

var all_partnames = []
for(var partname in part_library){
	all_partnames.push(partname)
	var lib = part_library[partname]
	if(lib.what === undefined){
		lib.what = (partname.charAt(0).toUpperCase() +
				partname.slice(1)).replace(/_/g, " ").replace(/[0-9]/g, "")
	}
}

/*function select_random_partname() {
	return all_partnames[Math.floor(Math.random() * all_partnames.length)]
}*/
